Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class BernoulliProbability

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
              de.grogra.blocks.arrangeBlock.BernoulliProbability

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

    public class BernoulliProbability

extends ShareableProbabilityArrangeBase
implements ProbabilityArrangeMethod

Nested Class Summary
`static class` | `BernoulliProbability.Type`

Field Summary
`static BernoulliProbability.Type` | `$TYPE`
`static SCOType.Field` | `prob$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`probabilityValues, source`

Constructor Summary
`BernoulliProbability()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getProb()`
`void` | `setProb(float value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`getProbabilityValues`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ProbabilityArrangeMethod
`getProbabilityValues`

Field Detail

### $TYPE

    public static final BernoulliProbability.Type $TYPE

### prob$FIELD

    public static final SCOType.Field prob$FIELD

Constructor Detail

### BernoulliProbability

    public BernoulliProbability()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableProbabilityArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getProb

    public float getProb()

### setProb

    public void setProb(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD